  
 FITS keywords in /disk/users/wpsm/disk1/projects/98bu/spectra_final_istseason/branch/18may
  
 RUN      101233              Run number
 IRAFNAME r101233             rfits should use this name
 SYSVER   s6-1                Version of observing system
 ORIGIN   ING La Palma        Name of observatory
 OBSERVAT LAPALMA             Name of observatory (IRAF style)
 OBSTYPE  RUN                 Type of observation, eg. ARC
 IMAGETYP RUN                 Type of observation, eg. ARC
 LATITUDE 28.762              Telescope latitude  (degrees), +28:45:43.
 LONGITUD 17.877639           Telescope longitude (degrees), +17:52:39.
 HEIGHT   2348                [m] Height above sea level.
 SLATEL   LPO2.5              Telescope name known to SLALIB
 TELESCOP INT                 2.5m Isaac Newton Telescope
 TELSTAT  TRACKING            Telescope status: TRACKING or GUIDING nor
 RA        10:46:45.207       RA  (161.6883627408550400 degrees)
 DEC      +11:49:46.20        DEC ( 11.8295004086043070 degrees)
 EQUINOX  J2000.00            Equinox of coordinates
 RADECSYS FK5                 mean place new (after the 1976 IAU) syste
 XAPNOM   0                   nominal aperture in x (0.00 arcsec)
 YAPNOM   0                   nominal aperture in y (0.00 arcsec)
 XAPOFF   0                   total aperture offset in x (0.00 arcsec)
 YAPOFF   0                   total aperture offset in y (0.00 arcsec)
 MJD-OBS  50951.9050624       Modified Julian Date of midtime of observ
 JD       2.4509524050624E+06 Julian Date of midtime of observation
 STSTART   12:16:13.1         Local sidereal time at start of observati
 ST        12:16:13.1         Local sidereal time at start of observati
 AZIMUTH  235.924624          Mean azimuth of observation (degrees)
 ZD       27.050955           Mean zenith-distance of observation (degr
 FSTATION CASSEGRAIN          Focal station of observation
 PLATESCA 1.502645            [d/m] Platescale (  5.41arcsec/mm)
 TELFOCUS 0.01434343          Telescope focus (metres)
 ROTTRACK True                Rotator always tracks sky on equatorial m
 ROTSKYPA 44.988212           Turntable position angle (degrees)
 PARANGLE 47.86463            Parallactic angle at observation midpoint
 VIGNETTE False               Can we see out?
 DOMEAZ   236.212093          Mean dome azimuth during observation
 AIRMASS  1.122646            Effective mean airmass
 TEMPTUBE 8.799799            Truss Temperature (degrees Celsius)
 CAT-NAME SN1998BU            Target input-catalogue name
 CAT-RA    10:46:46.010       Target Right Ascension
 CAT-DEC  +11:50:07.50        Target Declination
 CAT-EQUI J2000.00            Equinox of target coordinates
 CAT-EPOC 2000                Target epoch of proper motions
 PM-RA    0                   Target proper-motion RA (sec time/year)
 PM-DEC   0                   Target proper-motion (sec arc/year)
 PARALLAX 0                   Target Parallax (arcsec)
 RADVEL   0                   Target radial velocity (km/s)
 RATRACK  0                   Differential-tracking rate RA (arcsec/sec
 DECTRACK 0                   Differential-tracking rate Dec (arcsec/se
 AGTVPOSX 0.5                 TV X position in meters
 AGTVPOSY 0.5                 TV Y position in meters
 AGTVFILT F0 Clear            TV filter name
 AGTVSHUT OPEN                State of TV shutter
 AGPOSX   0.4111111           Autoguider X position in meters
 AGPOSY   0.5777777000000001  Autoguider Y position in meters
 ASNDFILT F0 Clear            ND filter name in beam above the slit
 ASCFILT  F0 Clear            Colour filter name in beam above the slit
 AGARCLMP                     Arc lamps in use
 COMPMPOS OUT                 Comparison mirror position
 AUTOFILT F0 Clear            Autoguider filter name
 AGCFILNA F0 Clear            Comparison ND filter A name
 AGCFILNB F0 Clear            Comparison ND filter B name
 INSTRUME IDS                 Name of the instrument
 CAMERA   235                 Focal length of camera in use
 SLITWID  2.25E-04            Slit width in meters
 PSLITWID 0.04                Slit width projected onto detector in mm
 SLTWDSKY 1.217               Slit width projected onto sky in arcsecon
 DEKKERID D-IPCS              Dekker slide name
 DEKPOS   P0 Clear            Name of Dekker position in the beam
 BSCFILT  F0 Own              Name of colour filter in beam below the s
 BSNDFILT F0 Own              Name of ND filter in beam below the slit
 COLLNAME Ag-red              Collimator name
 COLLFOC  210                 Collimator focus in encoder units
 HARTMANR OPEN                State of right Hartmann shutter
 HARTMANL OPEN                State of left  Hartmann shutter
 GRATNAME R300V               Grating name
 GLINESMM 300                 Grating rulings in lines/mm
 GRATBLAZ 5460                Grating blaze in Angstroms
 GRATANGL 67.66               Grating angle in degrees
 GRATSHUT OPEN                State of grating shutter
 CENWAVE  4770.875            Central wavelength in Angstroms
 DATE-OBS 1998-05-18          Date of start of observation
 UTSTART  21:42:19.0          UTC of start of observation hh:m
 ELAPSED  121                 Time from end of CLR to shutter
 DARKTIME 120                 Time from end of CLR to start of
 EXPOSED  120                 Exposure time excluding pauses,i
 EXPTIME  120                 Exposure time excluding pauses,i
 DETECTOR TEK3                Name of the detector
 PREFLASH 0                   Length of Preflash in seconds
 BUNIT    ADU                 Unit of the array of image data
 GAIN     1.28                Electrons per ADU
 READNOIS 5.24                Readout noise in electrons per p
 CCDSPEED STANDARD            Readout speed of the CCD
 CCDNCHIP 1                   Number of CCDs in this head
 CCDCHIP  1                   Head number of this CCD
 CCDTYPE  TEK1024AR           Type of CCD used in this detecto
 CCDXSIZE 1124                X Size in pixels of digitised fr
 CCDYSIZE 1124                Y Size in pixels of digitised fr
 CCDXIMSI 1024                X Size of useful imaging area
 CCDYIMSI 1024                Y Size of useful imaging area
 CCDXIMST 50                  X Start pixel of useful imaging
 CCDYIMST 0                   Y Start pixel of useful imaging
 CCDWMODE True                True is windows are enabled
 CCDWXO1  0                   Offset of window 1 in X
 CCDWYO1  400                 Offset of window 1 in Y
 CCDWXS1  1124                Size of window 1 in X
 CCDWYS1  200                 Size of window 1 in Y
 CCDWXO2  0                   Offset of window 2 in X
 CCDWYO2  0                   Offset of window 2 in Y
 CCDWXS2  0                   Size of window 2 in X
 CCDWYS2  0                   Size of window 2 in Y
 CCDWXO3  0                   Offset of window 3 in X
 CCDWYO3  0                   Offset of window 3 in Y
 CCDWXS3  0                   Size of window 3 in X
 CCDWYS3  0                   Size of window 3 in Y
 CCDWXO4  0                   Offset of window 4 in X
 CCDWYO4  0                   Offset of window 4 in Y
 CCDWXS4  0                   Size of window 4 in X
 CCDWYS4  0                   Size of window 4 in Y
 CCDXPIXE 2.4E-05             Size in meters of the pixels, in
 CCDYPIXE 2.4E-05             Size in meters of the pixels, in
 CCDXBIN  1                   Binning factor, in X
 CCDYBIN  1                   Binning factor, in Y
 CCDSTEMP 173                 Required temperature of CCD, in
 CCDATEMP 171                 Actual temperature of CCD, in Ke
 CHIPNAME A5506-4             Name of CCD chip
 DASCHAN  1                   DAS channel
 TRIMSEC  [51:1074,1:200]     Illuminated region of image
 BIASSEC  [1:50,1:200]        Bias region of image
 WINSEC1  [1:1124,1:200]      Readout window 1
 WINSEC2  [0:0,0:0]           Readout window 2
 WINSEC3  [0:0,0:0]           Readout window 3
 WINSEC4  [0:0,0:0]           Readout window 4
 COMMENT  This is padding to correct for missing descriptors earli
 COMMENT  This is padding to correct for missing descriptors earli
 COMMENT  This is padding to correct for missing descriptors earli
 COMMENT  This is padding to correct for missing descriptors earli
 HISTORY  This is the end of the header written by the ING observi
