  
 FITS keywords in /disk/users/wpsm/disk1/projects/98bu/spectra_final_istseason/branch/31may
  
 SIMPLE   True                FITS standard
 BITPIX   -32                 Data type (bits per element)
 NAXIS    2                   Number of dimensions
 NAXIS1   2080                Size of dimension 1
 NAXIS2   2048                Size of dimension 2
 IRAF-MAX 65535                DATA MAX
 IRAF-MIN 0                    DATA MIN
 IRAF-BPX 16                   DATA BITS/PIXEL
 IRAFTYPE USHORT               PIXEL TYPE
 HDR_REV  1.010  13Jul94     (title @ end of pic; UTSHUT)
 ORIGPIC  n3.   0022          Original picture file name
 OPICNUM  22                  Original picture number
 NAMPSYX  1 1                 Num amps in y & x (eg. '2 2'=quad)
 AMPLIST  12                  Readout order in y,x
 OBSERVAT KPNO                Origin of data
 TELESCOP WIYN3.5m            Specific system
 DETECTOR t2kc                Detector (CCD type, photon counter, etc.)
 IMAGETYP OBJECT              Type of picture (object, dark, etc.)
 PREFLASH 0                   Preflash time in secs
 CCDSUM   1 1                 On chip summation (X,Y)
 BIASSEC  [1:30,1:2048]       Bias section definition
 CCDSEC   [1:2048,1:2048]     Section in full CCD for DATASEC
 DATASEC  [33:2080,1:2048]    Image area in raw frame
 TRIMSEC  [34:2080,2:2048]    Trim section definition
 DATE-OBS 31/05/98            Date (dd/mm/yy) of observation
 UTSHUT   05:14:12.0          UT of shutter open
 EXPTIME  900                 Exposure time in secs
 DARKTIME 901.386             Total elapsed time in secs
 GAIN_12  1.7                 gain, electrons per ADU
 NOISE_12 4.3                 read noise, electrons
 DCS_TIME 15000               (ns) DCS integrator slope time
 READTIME 39480               (ns) unbinned pixel read time
 WAVEMODE OverlapXmit EarlyResetWaveform options enabled
 WAVEFILE Obs Sat May 30 14:06:01 1998
 RECID    wiyn.hydra.980531.051411archive ID for observation
 UT        5:14:09.79          universal time
 ST       14:21:47.48          sidereal time
 EL       36:54:1.30          elevation
 AZ       260:30:25.45        azimuth
 TRACK    enabled             tracking
 COORDS   Helio. mean FK5     coordinate system
 RADECSYS FK5                 coordinate system
 RA       10:46:46.30          right ascension
 DEC      11:50:07.10          declination
 EQUINOX  1998.4              equinox of position
 EPOCH    1998.4              same as EQUINOX (for back compat.)
 ZD       53.179              zenith distance
 AIRMASS  1.66582             airmass at start of exposure
 ROTANGLE 0.7                 rotator angle, degrees CW from N
 FIBCABLE BLUE                Hydra Fiber Cable Name
 SLFIB1   1 2 00:00:00.00 00:00:00.0  SCS
 SLFIB2   2 1 16:05:50.19 18:32:34.4 649368  17.61 1.66 (340)
 SLFIB3   3 1 16:05:46.21 18:01:00.2 802704  16.66 1.60 (67)
 SLFIB4   4 1 16:04:22.97 17:52:42.0 875244  17.35 1.86 (199)
 SLFIB5   5 0 16:04:59.28 18:12:21.8 SKY (3273)
 SLFIB6   6 1 16:06:14.16 18:24:51.8 650418  16.42 1.32 (40)
 SLFIB7   7 1 16:06:35.68 17:43:20.0 953487  17.36 1.80 (229)
 SLFIB8   8 1 16:06:43.88 18:33:16.3 651689  17.52 1.46 (351)
 SLFIB9   9 0 16:06:41.95 18:07:37.8 SKY (3298)
 SLFIB10  10 -1 00:00:00.00 00:00:00.0 not assigned
 SLFIB11  11 1 16:04:10.18 17:58:50.4 798748  17.63 1.82 (311)
 SLFIB12  12 1 16:06:06.07 18:36:24.6 572959  16.82 1.86 (132)
 SLFIB13  13 1 16:06:05.16 18:02:11.2 803392  17.18 1.48 (222)
 SLFIB14  14 0 16:06:39.35 17:53:59.6 SKY (3176)
 SLFIB15  15 1 16:05:29.59 17:40:50.0 950292  17.18 1.76 (210)
 SLFIB16  16 1 16:06:01.86 18:06:44.4 803259  16.63 1.10 (70)
 SLFIB17  17 1 16:07:18.69 17:48:09.7 883015  18.24 2.06 (805)
 SLFIB18  18 -1 00:00:00.00 00:00:00.0 not assigned
 SLFIB19  19 1 16:04:48.10 18:25:47.1 646579  17.63 9.99 (323)
 SLFIB20  20 0 16:06:59.35 18:09:37.4 SKY (3294)
 SLFIB21  21 1 16:06:14.79 18:10:59.0 727749  16.57 1.62 (75)
 SLFIB22  22 1 16:05:15.97 18:21:58.5 647779  17.99 1.76 (501)
 SLFIB23  23 1 16:05:36.80 17:48:07.4 878747  16.32 2.04 (37)
 SLFIB24  24 1 16:05:56.39 17:41:34.2 951670  18.01 1.70 (516)
 SLFIB25  25 1 16:04:26.22 17:59:14.6 799489  17.46 1.62 (315)
 SLFIB26  26 1 16:05:33.29 17:41:17.2 950537  18.01 1.70 (507)
 SLFIB27  27 1 16:04:21.76 18:08:20.2 722736  17.39 1.22 (198)
 SLFIB28  28 1 16:06:27.54 18:22:47.4 651008  17.88 0.92 (526)
 SLFIB29  29 1 16:06:16.07 18:10:15.3 727821  17.99 1.80 (521)
 SLFIB30  30 1 16:06:02.96 17:42:05.5 951985  18.09 1.66 (776)
 SLFIB31  31 1 16:06:32.09 17:42:48.4 953321  16.53 1.88 (76)
 SLFIB32  32 1 16:06:28.91 18:16:06.7 728387  17.21 2.08 (227)
 SLFIB33  33 0 16:06:24.05 18:08:14.6 SKY (3301)
 SLFIB34  34 1 16:06:29.83 18:33:57.7 573995  17.08 1.64 (134)
 SLFIB35  35 1 16:07:25.06 18:14:39.6 730864  17.98 1.76 (547)
 SLFIB36  36 1 16:06:52.87 18:13:23.0 729555  17.25 1.76 (231)
 SLFIB37  37 1 16:05:54.74 18:18:43.4 726852  17.88 1.74 (515)
 SLFIB38  38 1 16:05:01.22 17:46:31.1 877135  16.46 1.80 (36)
 SLFIB39  39 0 16:05:00.40 18:16:09.8 SKY (3270)
 SLFIB40  40 -1 00:00:00.00 00:00:00.0 not assigned
 SLFIB41  41 1 16:04:34.30 18:18:52.7 723291  17.84 1.38 (484)
 SLFIB42  42 1 16:04:14.89 18:07:44.2 798996  17.99 1.46 (478)
 SLFIB43  43 1 16:05:22.94 17:45:22.4 878178  15.29 1.18 (4)
 SLFIB44  44 1 16:05:52.24 18:27:54.2 649453  17.41 0.96 (218)
 SLFIB45  45 1 16:05:14.49 17:48:01.8 877774  17.42 1.66 (203)
 SLFIB46  46 1 16:05:31.21 17:57:49.1 802110  16.05 1.88 (16)
 SLFIB47  47 1 16:05:36.47 18:16:23.0 726015  16.28 1.36 (38)
 SLFIB48  48 1 16:06:00.01 18:04:51.3 803195  17.77 1.80 (518)
 SLFIB49  49 1 16:06:00.16 18:11:45.8 727069  16.02 1.46 (19)
 SLFIB50  50 1 16:04:39.85 18:01:55.8 800092  17.77 1.76 (487)
 SLFIB51  51 1 16:05:27.40 18:20:26.4 725605  17.11 1.24 (127)
 SLFIB52  52 1 16:06:47.49 17:47:25.0 881762  17.69 1.56 (353)
 SLFIB53  53 1 16:05:17.06 18:33:02.2 647838  17.37 1.68 (204)
 SLFIB54  54 1 16:06:38.59 17:47:00.7 881354  17.00 1.72 (135)
 SLFIB55  55 1 16:07:05.86 17:50:57.0 882520  17.20 1.70 (234)
 SLFIB56  56 1 16:05:39.58 18:09:51.9 726150  16.88 1.96 (129)
 SLFIB57  57 0 16:06:57.15 18:15:37.9 SKY (3239)
 SLFIB58  58 -2 00:00:00.00 00:00:00.0 Gap
 SLFIB59  59 1 16:07:11.83 18:27:11.4 652756  16.65 0.84 (82)
 SLFIB60  60 1 16:06:04.73 17:49:55.8 879940  17.00 1.52 (131)
 SLFIB61  61 1 16:06:15.99 18:15:00.1 727815  15.79 1.90 (8)
 SLFIB62  62 1 16:05:15.77 17:42:26.8 949662  17.64 1.76 (331)
 SLFIB63  63 1 16:05:21.95 17:58:12.4 801767  17.96 1.68 (502)
 SLFIB64  64 1 16:04:02.79 18:09:41.0 721926  18.00 1.62 (474)
 SLFIB65  65 1 16:05:40.77 18:06:26.7 802477  17.63 1.94 (337)
 SLFIB66  66 1 16:05:01.59 17:49:53.1 877154  17.65 1.82 (326)
 SLFIB67  67 0 16:05:08.28 18:16:06.9 SKY (3267)
 SLFIB68  68 1 16:05:46.43 18:31:53.1 649191  17.92 1.80 (512)
 SLFIB69  69 1 16:07:31.25 18:02:26.8 806883  17.17 1.82 (238)
 SLFIB70  70 1 16:05:48.96 18:07:12.4 802818  17.95 1.56 (513)
 SLFIB71  71 1 16:04:01.03 18:19:49.8 721854  18.34 1.54 (717)
 SLFIB72  72 1 16:05:19.71 18:18:53.8 725246  17.09 1.70 (124)
 SLFIB73  73 1 16:06:13.66 17:57:15.8 803672  16.68 0.92 (74)
 SLFIB74  74 0 16:06:58.41 18:08:22.5 SKY (3295)
 SLFIB75  75 -2 00:00:00.00 00:00:00.0 Gap
 SLFIB76  76 0 16:06:58.07 18:20:20.2 SKY (3234)
 SLFIB77  77 1 16:05:38.11 17:46:04.7 878812  16.56 1.96 (64)
 SLFIB78  78 0 16:06:53.41 18:07:04.1 SKY (3296)
 SLFIB79  79 1 16:04:37.75 17:50:08.6 875971  16.76 1.58 (59)
 SLFIB80  80 1 16:04:40.00 17:48:35.6 876120  17.94 1.62 (486)
 SLFIB81  81 1 16:06:35.86 17:41:46.0 953496  17.80 1.86 (528)
 SLFIB82  82 0 16:05:12.90 18:24:27.2 SKY (3215)
 SLFIB83  83 0 16:05:00.51 18:22:20.5 SKY (3217)
 SLFIB84  84 1 16:04:28.51 18:12:33.6 723052  18.16 1.74 (727)
 SLFIB85  85 1 16:05:08.96 17:43:47.6 877496  15.92 2.14 (14)
 SLFIB86  86 -1 00:00:00.00 00:00:00.0 not assigned
 SLFIB87  87 1 16:07:01.54 18:01:20.6 805629  16.59 1.44 (80)
 SLFIB88  88 1 16:06:13.60 18:04:38.8 803678  18.16 1.76 (781)
 SLFIB89  89 1 16:04:59.65 17:52:13.6 877062  16.35 1.66 (35)
 SLFIB90  90 1 16:05:32.15 18:04:46.0 802151  17.37 1.74 (212)
 SLFIB91  91 1 16:05:52.38 18:13:13.8 726752  16.32 1.52 (39)
 SLFIB92  92 1 16:06:17.49 18:21:41.8 650567  17.37 1.64 (226)
 SLFIB93  93 1 16:04:58.55 18:11:14.0 724305  17.33 1.32 (200)
 SLFIB94  94 1 16:05:31.90 18:10:05.6 725794  18.92 1.98 (1558)
 SLFIB95  95 0 16:06:15.95 18:07:47.0 SKY (3302)
 SLFIB96  96 1 16:06:22.42 17:55:45.2 880652  17.50 1.72 (347)
 SLFIB97  97 1 16:05:40.00 18:03:21.9 802448  16.60 1.70 (65)
 SLFIB98  98 0 16:05:49.45 18:08:50.4 SKY (3306)
 SLFIB99  99 1 16:06:20.50 17:47:17.8 880559  17.93 1.70 (524)
 SLFIB100 100 2 00:00:00.00 00:00:00.0  SCS
 GRATNAME 316@7.0             grating name
 GRATANGL 23.467              grating angle (degrees)
 CAMANGLE 30                  camera-collimator angle (degrees)
 DEWARANG 0                   dewar azimuth (degrees)
 FIBFOCUS -0.252              fiber focus (inches)
 CAMFOCUS -0.017              camera focus (inches)
 CAMNAME  Simmons Camera      camera name
 HISTORY   'KPNO-IRAF'           /
 HISTORY   '31-05-98'            /
 HISTORY  Image converted using STARLINK utility IRAF2NDF from the IRAF image
 HISTORY  w0030.imh on Tue Jul  7 15:21:35 1998
