      program comb 
      parameter (npoint=20000,nspec=3)
      dimension flux(npoint,2,nspec),iflux(nspec)
      character filenm(nspec)*80
      data filenm/'./day571a.dat','./day572.dat',' '/
*
      do 410 i=1,2
      open(unit=1,file=filenm(i),status='old')
      call readspec(1,npoint,iflux(i),flux(1,1,i))
      close(unit=1)
  410 continue
*
      wavea=3980.
      waveb=8781.956435
      wavec=8980.118174
*
      itell=0
      i=1
      dxx=20.
      xx=flux(1,1,1)
  110 continue
      if(xx .lt. wavea) then
          if(xx+dxx*2. .le. wavea) then
              xx1=xx+dxx
           else
              xx1=wavea
          end if
          flux(i,1,3)=.5*(xx+xx1)
          flux(i,2,3)=finteg(flux(1,1,1),flux(1,2,1),iflux(1),xx,xx1)
     &                /(xx1-xx)
        else if(xx .lt. waveb) then
          if(xx+dxx*2. .le. waveb) then
              xx1=xx+dxx
           else
              xx1=waveb
          end if
          flux(i,1,3)=.5*(xx+xx1)
          flux(i,2,3)=
     &     .5*( finteg(flux(1,1,1),flux(1,2,1),iflux(1),xx,xx1)
     &         +finteg(flux(1,1,2),flux(1,2,2),iflux(2),xx,xx1)
     &         )/(xx1-xx)
        else
          if(xx+dxx*2. .le. wavec) then
              xx1=xx+dxx
           else
              xx1=wavec
              itell=1
          end if
          flux(i,1,3)=.5*(xx+xx1)
          flux(i,2,3)=finteg(flux(1,1,2),flux(1,2,2),iflux(2),xx,xx1)
     &                /(xx1-xx)
      end if
      xx=xx1
      i=i+1
      if(itell .eq. 0) go to 110
      iflux(3)=i-1
*
      do 420 i=1,iflux(3)
      write(*,920) flux(i,1,3),flux(i,2,3)
  420 continue
*
  920 format(f15.3,e20.7)
*
      end
