!23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
!
! Copyright D.J. Jeffery, 2006jan01.
!
!  giant.f is for investigating the giant steps procedure in the
!  case of the plane-parallel grey atmosphere.
!
!   References:
!
!     \bibitem[Metcalf et al.(2004)]{metcalf} Metcalf, M., Reid, J., \&~Cohen, M. 2004,
!          Fortran 95/2003 Explained
!          (Oxford:  Oxford University Press) (MRC)
!          % Pretty good reference book.
!
!     \bibitem[Press et al.(1992)]{press1992} Press, W. H., Teukolsky, S. A.,
!          Vetterling, W. T., \& Flannery, B. P. 1992,
!            Numerical Recipes in Fortran
!            (Cambridge:  Cambridge University Press)
!            % Bill should have given me a complimentary copy when
!            % I co-taught with him in 1993!
!
!----------------------------------------------------------------------
!
      program trans2
      use numerical
      implicit none
!
      integer :: i,j,k,l,m,n
      integer :: idata 
!      real (kind=nprecision) :: scale=.35d0  ! For 09_14 mmt.
      real (kind=nprecision) :: scale=5.55d-9  ! For 11_14 Lick. 
      real (kind=nprecision) :: x,y
!
      open(unit=1,file='tmp',status='old',action='read')
      open(unit=2,file='tmpa',status='unknown',action='write')
      call readcopy(1,2,1,' ',idata)
!
      do420 : do i=1,idata 
        read(1,*) x,y 
!        write(2,'(f18.11,1p,e16.7)') x,y*scale  ! For mmt.
        write(2,'(f18.11,1p,e16.7)') x,y*scale/x**2  ! For Lick.
      end do do420
!
      close(unit=2)
      close(unit=1)
!
      end program trans2
