*aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
*aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
*aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
*aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
* Start of File:   /sn2002ap/qup.f
*
*23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
*
      program qup
      parameter (nfile=11,npoint=10000,nstoke=5)
      common/com/raddeg
      dimension istoke(nfile),stoke(npoint,nstoke,nfile)
      dimension cut(2,nfile),icut(2,nfile),
     & dbin(nfile),ibin(nfile),stokebin(npoint,nstoke,nfile)
      dimension xpeak(1,2),ptype(1)
      dimension idashes(nfile)
      character ffile(nfile)*80,aisp(4:5)*2,caption(nfile)*20
      data caption/'\\rm Feb. average','\\rm Mar. average',
     &             '\\rm Feb. average cor','\\rm Mar. average cor',
     &             7*' '/
      data ffile/'s2002_02_av.dat',
     &           's2002_03_av.dat',
     &           's2002_02_08.dat',
     &           's2002_02_09.dat',
     &           's2002_02_10.dat',
     &           's2002_02_11.dat',5*' '/
      data aisp/'ip','ia'/
      data cut/3900.,8300.,
     &         5000.,10100.,
     &         4000.,8400.,
     &         4000.,8400.,
     &         4000.,8400.,
     &         4800.,8000.,10*0./
      data icut/22*0/
      data iifile/2/
      data iibin/1/,   ! iibin=-1 for no binning, =1 for binning
     & dbin/100.,100.,9*200./,ibin/11*0/
      data iisp/1/,pispin/.63/,angisp/120./,wavisp/5500./,
*      data iisp/1/,pispin/.4/,angisp/100./,wavisp/5500./,
*      data iisp/1/,pispin/.6/,angisp/135./,wavisp/5500./,
*      data iisp/1/,pispin/.4/,angisp/108./,wavisp/5500./,  ! best?
*      data iisp/0/,pispin/.4/,angisp/110./,wavisp/5500./,
*      data iisp/1/,pispin/.6/,angisp/100./,wavisp/5500./,
*      data iisp/1/,pispin/.2/,angisp/120./,wavisp/5500./,
     & wavispin/5500./
      data xpeak/.5,120./,ptype/103.99/
      pf(x)=pispmax*exp(-xkisp*log(wavisp/x)**2)
      qf(x)=pf(x)*cos(2.*angisp/raddeg)
      uf(x)=pf(x)*sin(2.*angisp/raddeg)
*
      pi=acos(-1.)
      raddeg=180./pi
      xkisp=1.86*(wavisp*1.e-4)-.10   ! Wavelength in microns
      xkisp=1.15  ! Koji's fitted value
      pispmax=1.
      pispmax=pispin/pf(wavispin)
      print*,'pispmax,angisp,wavisp,xkisp'
      print*,pispmax,angisp,wavisp,xkisp
      print*,'qispmax,uispmax'
      print*,pispmax*cos(2.*angisp/raddeg),
     &       pispmax*sin(2.*angisp/raddeg)
*
      qqobs=xpeak(1,1)*cos(2.*xpeak(1,2)/raddeg)
      uuobs=xpeak(1,1)*sin(2.*xpeak(1,2)/raddeg)
      pp=.25
      palast=-1.
      do 401, theta=0.,171.,10.
      qqisp=qqobs-pp*cos(2.*theta/raddeg)
      uuisp=uuobs-pp*sin(2.*theta/raddeg)
      ppisp=sqrt(qqisp**2+uuisp**2)
      paisp=paf(qqisp,uuisp,palast)
      palast=paisp
      print*,theta,ppisp,paisp
  401 continue
*
      do 402, i=1,iifile
*
* Read flux
      open(unit=1,file='./st_pola/'//ffile(i),status='old')
      call readcopy(1,-1,-1,3,'END')
      j=1
      palast=-1.
  110 continue
      read(1,*,end=120) (stoke(j,k,i),k=1,nstoke)
      if(stoke(j,1,i) .ge. cut(1,i)  .and.
     &   stoke(j,1,i) .le. cut(2,i)        ) then
          if(icut(1,i) .eq. 0) icut(1,i)=j
	  icut(2,i)=j
      end if
*
      if(iisp .ne. 0) then
          stoke(j,1,i+iifile)=stoke(j,1,i)
          stoke(j,2,i+iifile)=stoke(j,2,i)-qf(stoke(j,1,i))
          stoke(j,3,i+iifile)=stoke(j,3,i)-uf(stoke(j,1,i))
          stoke(j,4,i+iifile)=sqrt( stoke(j,2,i+iifile)**2
     &                             +stoke(j,3,i+iifile)**2  )
          stoke(j,5,i+iifile)=paf(stoke(j,2,i+iifile),
     &                            stoke(j,3,i+iifile),
     &                            palast)
          palast=stoke(j,5,i+iifile)
      end if
*
      j=j+1
      go to 110 
  120 continue
      istoke(i)=j-1
      close(unit=1)
*
  402 continue
*
      print*
      print*,'Before ISP correction'
*
      if(iisp .ne. 0) then
          do 404, i=1,iifile
          icut(1,i+iifile)=icut(1,i)
          icut(2,i+iifile)=icut(2,i)
	  istoke(i+iifile)=istoke(i)
	  dbin(i+iifile)=dbin(i)
*
          do 406, k=4,5
          open(unit=1,file='./st_pola/'//ffile(i),status='old')
	  jfile=lentrue(ffile(i))
          open(unit=2,file='./stokes/'//ffile(i)(1:jfile)//aisp(k),
     &	       status='unknown')
          call readcopy(1,2,-1,3,'END')
	  do 408 j=1,istoke(i+iifile) 
	  write(2,*) stoke(j,1,i+iifile),stoke(j,k,i+iifile)
  408     continue
          close(unit=2)
          close(unit=1)
  406     continue
  404     continue
          iifile=iifile*2
      end if
*
      print*
      print*,'Before binning loop'    
*
      do 411, i=1,iifile,iibin
      if(dbin(i) .lt. 0.) go to 150   ! another abomination forward go to
      bin=stoke(icut(1,i),1,i)+dbin(i)
      k=1
      jc=0
      do 412, n=1,nstoke
      stokebin(k,n,i)=0.
  412 continue
      do 413 j=icut(1,i),icut(2,i)+1
      if(stoke(j,1,i) .gt. bin  .or.  j .gt. icut(2,i)) then
          do 414, n=1,nstoke
          stokebin(k,n,i)=stokebin(k,n,i)/real(jc)
          stokebin(k+1,n,i)=0.
  414     continue
	  if(j .gt. icut(2,i)) then
              ibin(i)=k
	      go to 150 ! The abomination of a forward goto
          end if
	  bin=bin+dbin(i)
	  if(bin+.5*dbin(i) .gt. stoke(icut(2,i),1,i))
     &      bin=1.1*stoke(icut(2,i),1,i)
          k=k+1
          jc=0
      end if
      jc=jc+1
      do 415, n=1,nstoke
      stokebin(k,n,i)=stokebin(k,n,i)+stoke(j,n,i)
  415 continue
  413 continue
  150 continue ! From above:  abomination
  411 continue
*
      do 416 i=1,iifile
      print*,i
      palast=-1.
      do 418 k=1,ibin(i)
      pa=paf(stokebin(k,2,i),stokebin(k,3,i),palast)
      palast=pa
      pol=sqrt(stokebin(k,2,i)**2+stokebin(k,3,i)**2)
      print910,(stokebin(k,n,i),n=1,nstoke),pol,pa2*.5
  910 format(f8.2,6f10.3)
  418 continue
  416 continue
*
      isquare=3
      if(isquare .eq. 1) then
          xmin=-1.5
          ymin=xmin 
	  side=3.
        else if(isquare .eq. 2) then
          xmin=-1.4
	  ymin=-.7
	  side=1.4
        else if(isquare .eq. 3) then
          xmin=-1.1
	  ymin=-2.0
	  side=2.2
      end if
      xmax=xmin+side
      ymax=ymin+side
*
      cond=3500./(31000.-3500.)
      conx=cond*(xmax-xmin)
      cony=cond*(ymax-ymin)
* 
* SM (or unofficially SuperMongo) plotting calls
*
      print*,'Before plotting'
      call sm_device('postencap tmp.ps')
*      call sm_device('postland')
      call sm_defvar('TeX_strings','1')
*      call sm_window(1,1,1.,1.)
      call sm_limits(xmin,xmax,ymin,ymax)
      call sm_box(1,2,0,0)
*      call sm_relocate(xmin*conx,1.1*ymin*cony)
*      call sm_relocate(0.,400.)
      call sm_relocate(-1.2,-2.25)
*      call sm_label('\\rm Figure ??---{\\it QU} plot '//
*     &              'for February and March Average Spectropolarimetry')
      call sm_xlabel('{\\it Q} \\rm (%)')
      call sm_ylabel('{\\it U} \\rm (%)')
      do 420 i=1,iifile
      idashes(i)=i-1
      call sm_ltype(idashes(i))
      if(iibin .ne. 1  .or.  dbin(i) .lt. 0.) then
          if(icut(1,i) .ne. 0) then
              call sm_connect(stoke(icut(1,i),2,i),
     &                        stoke(icut(1,i),3,i),
     &                        icut(2,i)-icut(1,i)+1)
          end if
        else
          call sm_connect(stokebin(1,2,i),stokebin(1,3,i),ibin(i))
      end if
  420 continue
      call sm_ltype(0)
      call sm_relocate(xmin,0.)
      call sm_draw(xmax,0.)
      call sm_relocate(0.,ymin)
      call sm_draw(0.,ymax)
*
      xpeak(1,1)=qqobs
      xpeak(1,2)=uuobs
      call sm_ptype(ptype,1)
      call sm_expand(2.)
      call sm_points(xpeak(1,1),xpeak(1,2),1)
      call sm_expand(.5)
*
      print*,'Before table'
      call simlim(0,0,0,xmin,xmax,ymin,ymax)
*      print*,'iifile,idashes'
*      print*,iifile,idashes
      call simtable(5.,5.,.9,iifile,idashes,caption,1.)
*
      call sm_alpha
      call sm_hardcopy
*
      end
*
*
* End of File 
*
*
      function paf(q,u,palast)
      common/com/raddeg
*
      pa2=atan(u/q)*raddeg
      if(q .lt. 0.) pa2=pa2+180.
      if(pa2 .lt. 0.) pa2=pa2+360. ! keep positive
      pa=pa2*.5
      ii=0
      if(palast .gt. 0.  .and.  ii .ne. 0) then
          if(pa .gt. palast+90.) then  ! try to prevent jumps
              pa=pa-180.
            else if(pa .lt. palast-90.) then
	      pa=pa+180.
          end if
      end if
*
      paf=pa
* 
      end
