  
 FITS keywords in /disk/users/wpsm/disk1/projects/98bu/spectra_final_istseason/branch/12may
  
 ORIGIN   ING La Palma        Origin of data
 DATE     13-05-98
 IRAFNAME r251534             NAME OF IRAF IMAGE FILE
 IRAF-MAX 0                   DATA MAX
 IRAF-MIN 0                   DATA MIN
 IRAF-BPX 32                  DATA BITS/PIXEL
 IRAFTYPE REAL                PIXEL TYPE
 AUTMAGNI 0                   Mean instrumental mag. of guide star (ma
 AUTMTRAN 0                   RMS variation of magnitude of guide star
 AUTSTATN 0                   Number of points used in stats. calculat
 AUTXSEE  0                   Mean FWHM in X of guide star (arcsec)
 AUTXSRMS 0                   RMS on FWHM in X of guide star (arcsec)
 AUTYSRMS 0                   RMS on FWHM in Y of guide star (arcsec)
 AUTACQT  1                   Integration time for acquisition (secs)
 AUTGUIT  1                   Integration time for guiding (secs)
 AUTMAGOF 0                   Magnitude zero point
 AUTMODE  CASS                Autoguider mode used
 AUTWINDO 0                   Autoguider window used
 AUTYSEE  0                   Mean FWHM in Y of guide star (arcsec)
 CAGAFILT Clear               Cass. A&G box autoguider filter
 CAGAFOCU 4499                Cass. autoguider focus (microns)
 CAGARADI 35045               Cass. autoguider radial pos. (microns)
 CAGATHET 102999              Cass. autoguider theta pos. (mdeg)
 CAGAXFLT V_HARRIS            Cass A&G box auxiliary filter
 CAGCFILC Clear               Cass. A&G box comparison colour filter
 CAGCFILN Clear               Cass. A&G box comparison ND filter
 CAGLAMPS Off                 Cass. A&G box comparison lamps
 CAGMFILC OUT                 Cass. A&G box main colour filter
 CAGMFILN OUT                 Cass. A&G box main ND filter
 CAGMIRRO SLITVIEW            Cass. A&G box mirror configuration
 CAGTVFIL CLEAR               Cass. A&G box TV filter
 CAGTVFOC 15469               Cass. A&G box TV focus (microns)
 CAGTVSCA 4.5                 Cass. A&G box TV scale
 CCDCTEXP 0                   Act no integrations (CONTINUOUS mode onl
 CCDCTSET 0                   Set no integrations (CONTINUOUS mode onl
 DARKTIME 181                 Elapsed time (secs)
 ELAPSED  181                 Elapsed time (secs)
 EXPOSED  180                 Exposure time (secs)
 EXPTIME  180                 Exposure time (secs)
 UTSTART  21:31:27            UT at start of exposure
 BUNIT    ADU                 Physical units of data array
 CCDATEMP 171                 Actual temperature of CCD (K)
 CCDCHIP  TEK1                Name of this chip
 CCDCLSPD QUICK               Speed of chip clearing
 CCDCTTYP HS DRIFT            Type of readout (CONTINUOUS mode only)
 CCDSPEED STANDARD            Readout speed
 CCDSTEMP 173                 Set temperature of CCD (K)
 CCDTYPE  TK1024              Type of CCD
 CCDWMODE True                Windowing and binning enabled?
 CCDWXO1  0                   X-offset of window 1
 CCDWXO2  0                   X-offset of window 2
 CCDWXO3  0                   X-offset of window 3
 CCDWXO4  0                   X-offset of window 4
 CCDWXS1  1124                X-size of window 1
 CCDWXS2  0                   X-size of window 2
 CCDWXS3  0                   X-size of window 3
 CCDWXS4  0                   X-size of window 4
 CCDWYO1  362                 Y-offset of window 1
 CCDWYO2  0                   Y-offset of window 2
 CCDWYO3  0                   Y-offset of window 3
 CCDWYO4  0                   Y-offset of window 4
 CCDWYS1  400                 Y-size of window 1
 CCDWYS2  0                   Y-size of window 2
 CCDWYS3  0                   Y-size of window 3
 CCDWYS4  0                   Y-size of window 4
 CCDXBIN  1                   Binning factor in x
 CCDXIMSI 1024                X dimension of useful imaging area
 CCDXIMST 51                  X start of useful imaging area
 CCDXPIXE 24                  Size of unbinned pixels in x (micron)
 CCDXSIZE 1124                X dimension of digitised CCD frame
 CCDYBIN  1                   Binning factor in y
 CCDYIMSI 1024                Y dimension of useful imaging area
 CCDYIMST 1                   Y start of useful imaging area
 CCDYPIXE 24                  Size of unbinned pixels in y (micron)
 CCDYSIZE 1124                Y dimension of digitised CCD frame
 DASMODE  NORMAL              DAS data taking mode
 GAIN     1.3                 Electrons/ADU conversion factor
 PREFLASH 0                   Preflash time (secs)
 READNOIS 5.3                 Readout noise (electrons)
 ISIGDOOR LOCKED              Status of grating door
 ISILID                       Status of ISIS lid
 ISITIGHT LIGHT_TIGHT         Light tight?
 PAOFFSET -92.1               Slit p.a. - telescope p.a. (degrees)
 ISIBFOLD DICHROIC            Position of blue fold
 ISIDEKKE CLEAR6              Position of dekker
 ISIDOOR  LOCKED              Status of slit door
 ISIFCP   CLEAR               Field lens, calcite, polaroid or clear
 ISIHWANG 0                   Angle of half-wave polarizer (degrees)
 ISIHWAVE OUT                 Position of half-wave polarizer
 ISIHWMNT BOTTOM              Polarization mount holding half-wave pla
 ISIHWROT 0                   Rotation rate of half-wave polarizer (Hz
 ISIQWANG 0                   Angle of half-wave polarizer (degrees)
 ISIQWAVE OUT                 Position of quarter-wave polarizer
 ISIQWMNT TOP                 Polarization mount holding quarter-wave
 ISIQWROT 0                   Rotation rate of half-wave polarizer (Hz
 ISIRFOLD MIRROR              Position of red fold
 ISISLITU LONG_SLIT           Slit unit (LONG, MULTI or FIBRE)
 ISISLITW 0.9888888           Slit width (arcsec)
 ISIARM   Blue arm            Data from red arm, blue arm or FOS?
 CENWAVE  4796                Approx. central wavelength (Angstroms)
 DISPERSI 121                 Nomimal dispersion (Angstroms/mm)
 ISICELL  ON                  State of grating-cell clamps
 ISICOLL  7340                Position of collimator (microns)
 ISIFILTA OUT                 Name of filter A in ISIS arm
 ISIFILTB OUT                 Name of filter B in ISIS arm
 ISIGRAT  R158B               Name of grating
 ISIHART  OUT                 State of Hartmann shutters
 ISITHETA 55817               Angle of grating (millidegrees)
 ISIXDISP OUT                 Position of cross disperser
 LINESMM  158                 No. of grating rulings per mm
 OBSTYPE  TARGET              Type of observation (e.g. ARC, FLAT)
 RUN      251534              Run number of observation
 TELESCOP WHT                 Name of telescope
 DATE-OBS 12/05/98            Date of UT at start of observation
 HCTVERSI                     These headers collected by
 NWTVERSI                     Image-data collected by
 OBSERVER jip                 Name of observer
 PDFVERSI                     These headers defined by
 PROPOSAL s/d+w35             PATT/CAT reference
 CHANNEL  BLUE                Data-acquisition channel
 FSTATION Cassegrain          Focal station
 INSTRUME ISIS blue arm       Name of instrument configuration
 DETECTOR TEK1                Name of detector
 AMEND    1.075817            Airmass at approx. end of exposure
 DAZEND   220.880447          Dome azimuth at end of exposure (deg)
 MNTPAEND 84.736694           Mount p.a. at end of exposure (deg)
 ZDEND    21.666672           Zenith distance at end of exposure (degs
 AIRMASS  1.072618            Airmass at approx. start of exposure
 AMSTART  1.072618            Airmass at approx. start of exposure
 AUTOMODE UNLK                Mode of autoguiding.
 AUTOX    0                   Guiding position on autoguider, x
 AUTOY    0                   Guiding position on autoguider, y
 AZIMUTH  219.95784           Azimuth at start of exposure (degs)
 CAT-DEC   11:50:07.1         Catalogue dec. of object
 CAT-EPOC 2000.00             Epoch of catalogue coordinates
 CAT-EQUI J2000.00            Equinox of catalogue coordinate system
 CAT-NAME SN1998BU            Name of object
 CAT-RA    10:46:46.03        Catalogue r.a. of object
 DAZSTART 219.12265           Dome azimuth at start of exposure (deg)
 DEC       11:49:55.5         Dec. of telescope (epoch of date)
 DECTRACK 0                   Differential tracking rate in dec. (arcs
 EPOCH    1998                Epoch of observation
 EQUINOX  J2000.00            Equinox of telescope coordinates
 MNTPASTA 86.122795           Mount p.a. at start of exposure (deg)
 PARALLAX 0                   Parallax of object (arcsec)
 PARANGLE 35.061989           Parallactic angle at start of exposure (
 PMDEC    0                   Proper motion of object in dec. (arcsec/
 PMRA     0                   Proper motion of object in r.a. (s/yr)
 RA        10:46:45.86        R.a. of telescope (epoch of date)
 RADVEL   0                   Radial velocity of object (km/s)
 RATRACK  0                   Differential tracking rate in r.a. (arcs
 ROTSKYPA 29.658499           Sky p.a. of rotator (degs)
 ROTTRACK Cass track          Rotator tracking on?
 ST        11:41:39.24        LST at approx. start of exposure
 STSTART   11:41:39.24        LST at approx. start of exposure
 TELFOCUS 97.361946           Telescope focus (mm)
 UTOBS     21:31:23.65        Universal time
 VIGNETTE False               Beam vignetted by dome/shutter/mirror co
 XAPOFF   0                   Aperture offset in X (arcsec)
 YAPOFF   0                   Aperture offset in Y (arcsec)
 ZDSTART  21.228775           Zenith distance at start of exposure (de
 HISTORY  = 'Data written by Sp' /
 DMS_CSUM 1.518936408E+09     Checksum from DMS system
 SP_CSUM  1.518936408E+09     Checksum from Sparc system
