  
 FITS keywords in /disk/users/wpsm/disk1/projects/98bu/spectra_final_istseason/branch/17may
  
 SIMPLE   True                 FITS STANDARD
 BITPIX   16                   FITS BITS/PIXEL
 NAXIS    2                    NUMBER OF AXES
 NAXIS1   1280
 NAXIS2   382
 BSCALE   0.06266987655900001  REAL = TAPE*BSCALE + BZERO
 BZERO    3849.5
 OBJECT   sn1998bu 4750
 ORIGIN   KPNO-IRAF
 DATE     20-05-98
 IRAFNAME r0070.imh            NAME OF IRAF IMAGE FILE
 IRAF-MAX 5903.000000000001    DATA MAX
 IRAF-MIN 1796                 DATA MIN
 IRAF-BPX 32                   DATA BITS/PIXEL
 IRAFTYPE REAL                 PIXEL TYPE
 RUN      100919              Run number
 SYSVER   s6-1                Version of observing system
 OBSERVAT LAPALMA             Name of observatory (IRAF style)
 OBSTYPE  RUN                 Type of observation, eg. ARC
 IMAGETYP RUN                 Type of observation, eg. ARC
 LATITUDE 28.762              Telescope latitude  (degrees), +28:45:43.2
 LONGITUD 17.877639           Telescope longitude (degrees), +17:52:39.5
 HEIGHT   2348                [m] Height above sea level.
 SLATEL   LPO2.5              Telescope name known to SLALIB
 TELESCOP INT                 2.5m Isaac Newton Telescope
 TELSTAT  TRACKING            Telescope status: TRACKING or GUIDING normally.
 RA       10:46:46.26          RA  (161.6927711067620800 degrees)
 DEC      11:50:03.24          DEC ( 11.8342343270847670 degrees)
 EQUINOX  J2000.00            Equinox of coordinates
 RADECSYS FK5                 mean place new (after the 1976 IAU) system
 XAPNOM   0                   nominal aperture in x (0.00 arcsec)
 YAPNOM   0                   nominal aperture in y (0.00 arcsec)
 XAPOFF   0                   total aperture offset in x (0.00 arcsec)
 YAPOFF   0                   total aperture offset in y (0.00 arcsec)
 MJD-OBS  50950.9005323       Modified Julian Date of midtime of observation
 JD       2.4509514005323E+06 Julian Date of midtime of observation
 STSTART   12:04:14.8         Local sidereal time at start of observation
 ST       12:04:14.80          Local sidereal time at start of observation
 AZIMUTH  231.88857           Mean azimuth of observation (degrees)
 ZD       25.190507           Mean zenith-distance of observation (degrees)
 FSTATION CASSEGRAIN          Focal station of observation
 PLATESCA 1.502645            [d/m] Platescale (  5.41arcsec/mm)
 TELFOCUS 0.01435             Telescope focus (metres)
 ROTTRACK True                Rotator always tracks sky on equatorial mount
 ROTSKYPA 39.988213           Turntable position angle (degrees)
 PARANGLE 44.776326           Parallactic angle at observation midpoint
 VIGNETTE False               Can we see out?
 DOMEAZ   229.532305          Mean dome azimuth during observation
 AIRMASS  1.104935            Effective mean airmass
 TEMPTUBE 10.617344           Truss Temperature (degrees Celsius)
 CAT-NAME SN1998BU            Target input-catalogue name
 CAT-RA    10:46:46.010       Target Right Ascension
 CAT-DEC  +11:50:07.50        Target Declination
 CAT-EQUI J2000.00            Equinox of target coordinates
 CAT-EPOC 2000                Target epoch of proper motions
 PM-RA    0                   Target proper-motion RA (sec time/year)
 PM-DEC   0                   Target proper-motion (sec arc/year)
 PARALLAX 0                   Target Parallax (arcsec)
 RADVEL   0                   Target radial velocity (km/s)
 RATRACK  0                   Differential-tracking rate RA (arcsec/sec)
 DECTRACK 0                   Differential-tracking rate Dec (arcsec/sec)
 AGTVPOSX 0.5                 TV X position in meters
 AGTVPOSY 0.5000019999999999  TV Y position in meters
 AGTVFILT F0 Clear            TV filter name
 AGTVSHUT OPEN                State of TV shutter
 AGPOSX   0.404959            Autoguider X position in meters
 AGPOSY   0.511135            Autoguider Y position in meters
 ASNDFILT F0 Clear            ND filter name in beam above the slit
 ASCFILT  F0 Clear            Colour filter name in beam above the slit
 AGARCLMP                     Arc lamps in use
 COMPMPOS OUT                 Comparison mirror position
 AUTOFILT F2 BLUE             Autoguider filter name
 AGCFILNA F0 Clear            Comparison ND filter A name
 AGCFILNB F0 Clear            Comparison ND filter B name
 INSTRUME IDS                 Name of the instrument
 CAMERA   500                 Focal length of camera in use
 SLITWID  1.5E-04             Slit width in meters
 PSLITWID 0.05800001          Slit width projected onto detector in mm
 SLTWDSKY 0.812               Slit width projected onto sky in arcseconds
 DEKKERID D-IPCS              Dekker slide name
 DEKPOS   P0 Clear            Name of Dekker position in the beam
 BSCFILT  F0 Own              Name of colour filter in beam below the slit
 BSNDFILT F0 Own              Name of ND filter in beam below the slit
 COLLNAME Ag-red              Collimator name
 COLLFOC  210                 Collimator focus in encoder units
 HARTMANR OPEN                State of right Hartmann shutter
 HARTMANL OPEN                State of left  Hartmann shutter
 GRATNAME R150V               Grating name
 GLINESMM 150                 Grating rulings in lines/mm
 GRATBLAZ 5250                Grating blaze in Angstroms
 GRATANGL 104.53              Grating angle in degrees
 GRATSHUT OPEN                State of grating shutter
 CENWAVE  4766.665            Central wavelength in Angstroms
 DATE-OBS 1998-05-17          Date of start of observation
 UTSTART  21:34:18.0          UTC of start of observation hh:mm:ss
 ELAPSED  300                 Time from end of CLR to shutter close
 DARKTIME 300                 Time from end of CLR to start of r/o
 EXPOSED  300                 Exposure time excluding pauses,in secs
 EXPTIME  300                 Exposure time excluding pauses,in secs
 DETECTOR EEV3                Name of the detector
 PREFLASH 0                   Length of Preflash in seconds
 BUNIT    ADU                 Unit of the array of image data
 GAIN     1.1                 Electrons per ADU
 READNOIS 6                   Readout noise in electrons per pix
 CCDSPEED QUICK               Readout speed of the CCD
 CCDNCHIP 1                   Number of CCDs in this head
 CCDCHIP  1                   Head number of this CCD
 CCDTYPE  EEV-P88300          Type of CCD used in this detector
 CCDXSIZE 1280                X Size in pixels of digitised frame
 CCDYSIZE 1180                Y Size in pixels of digitised frame
 CCDXIMSI 1242                X Size of useful imaging area
 CCDYIMSI 1152                Y Size of useful imaging area
 CCDXIMST 17                  X Start pixel of useful imaging area
 CCDYIMST 0                   Y Start pixel of useful imaging area
 CCDWMODE True                True is windows are enabled
 CCDWXO1  0                   Offset of window 1 in X
 CCDWYO1  340                 Offset of window 1 in Y
 CCDWXS1  1280                Size of window 1 in X
 CCDWYS1  382                 Size of window 1 in Y
 CCDWXO2  0                   Offset of window 2 in X
 CCDWYO2  0                   Offset of window 2 in Y
 CCDWXS2  0                   Size of window 2 in X
 CCDWYS2  0                   Size of window 2 in Y
 CCDWXO3  0                   Offset of window 3 in X
 CCDWYO3  0                   Offset of window 3 in Y
 CCDWXS3  0                   Size of window 3 in X
 CCDWYS3  0                   Size of window 3 in Y
 CCDWXO4  0                   Offset of window 4 in X
 CCDWYO4  0                   Offset of window 4 in Y
 CCDWXS4  0                   Size of window 4 in X
 CCDWYS4  0                   Size of window 4 in Y
 CCDXPIXE 2.25E-05            Size in meters of the pixels, in X
 CCDYPIXE 2.25E-05            Size in meters of the pixels, in Y
 CCDXBIN  1                   Binning factor, in X
 CCDYBIN  1                   Binning factor, in Y
 CCDSTEMP 146                 Required temperature of CCD, in Kevlin
 CCDATEMP 147                 Actual temperature of CCD, in Kevlin
 CHIPNAME A5506-4             Name of CCD chip
 DASCHAN  1                   DAS channel
 TRIMSEC  [18:1259,1:382]     Illuminated region of image
 BIASSEC  [1260:1280,1:382]   Bias region of image
 WINSEC1  [1:1280,1:382]      Readout window 1
 WINSEC2  [0:0,0:0]           Readout window 2
 WINSEC3  [0:0,0:0]           Readout window 3
 WINSEC4  [0:0,0:0]           Readout window 4
 COMMENT  This is padding to correct for missing descriptors earlier in the header
 COMMENT  This is padding to correct for missing descriptors earlier in the header
 COMMENT  This is padding to correct for missing descriptors earlier in the header
 COMMENT  This is padding to correct for missing descriptors earlier in the header
 HISTORY  This is the end of the header written by the ING observing-system.
 HISTORY  'ING La Palma      ' / Name of observatory
