!23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
!
! Copyright D.J. Jeffery, 2006jan01.
!
!  giant.f is for investigating the giant steps procedure in the
!  case of the plane-parallel grey atmosphere.
!
!   References:
!
!     \bibitem[Metcalf et al.(2004)]{metcalf} Metcalf, M., Reid, J., \&~Cohen, M. 2004,
!          Fortran 95/2003 Explained
!          (Oxford:  Oxford University Press) (MRC)
!          % Pretty good reference book.
!
!     \bibitem[Press et al.(1992)]{press1992} Press, W. H., Teukolsky, S. A.,
!          Vetterling, W. T., \& Flannery, B. P. 1992,
!            Numerical Recipes in Fortran
!            (Cambridge:  Cambridge University Press)
!            % Bill should have given me a complimentary copy when
!            % I co-taught with him in 1993!
!
!----------------------------------------------------------------------
!
      program trans 
      use numerical
      implicit none
!
      real (kind=nprecision2) :: con=1.55/1.16 
      integer :: i,j,k,l,m,n
      integer :: idata 
      real (kind=nprecision2) :: x(5),y(5)
!
      open(unit=1,file='july19_branch.dat',status='old',                      &
     &     action='read')
!
      open(unit=2,file='header',status='old',action='read')
      open(unit=3,file='tmpa',status='unknown',action='write')
          call readcopy(2,3,1,' ',idata)
      close(unit=2) 
!
      read(1,*)
      read(1,*)
      do420 : do i=1,254
        read(1,*) (x(j),y(j),j=1,5)
          do430 : do j=1,5
            write(3,'(1p,2e25.15)') x(j),y(j) 
          end do do430
      end do do420
      close(unit=3)
      close(unit=1)
!
      end
