*
      program conv
      parameter (npoint=20000,nspec=2)
      dimension fwave(npoint,nspec),flux(npoint,nspec)
     &         ,ipoint(nspec),iiunit(2)
      character record*100,fmtch*80
      include '../../syn/const.f'
      data iiunit/10,11/
*
      open(unit=9,file='../../syn/const.dat',status='old')
      read(9,const)
      close(unit=9)
*
*      print*,'Before first open.'
      open(unit=iiunit(1),file='./zday276a',status='old')
*      print*,'Past first open.'
*
      ispec=2
* For day 131.
*      submult=3.565E-16
* For day 204. 
*      submult=3.304E-16
* For day 276. 
      submult=3.065E-16
* For day 301.
*      submult=2.986E-16
* For day 334.
*      submult=2.885E-16
* For day 421.
*      submult=2.635E-16
      if(ispec .eq. 2) open(unit=iiunit(2),
     &                      file='./zday800/',status='old')
*
      do 402 ii=1,ispec
*      print*,'ii=',ii
  110 continue
      read(iiunit(ii),'(a100)') record
*      print*,ii,' ',record
      if(ii .eq. 1) then
          irecord=max(lentrue(record),1)
          write(fmtch,'(a2,i2,a1)') '(a',irecord,')'
* Recall fortran ignores blanks.
*          print*,fmtch(1:lentrue(fmtch)),' ',irecord
          write(20,fmtch) record(1:irecord)
      end if
      if(record(1:3) .ne. 'END') go to 110
      i=1
  120 continue
*      read(iiunit(ii),*,end=130) fwave(i,ii),tmp,flux(i,ii)
      read(iiunit(ii),*,end=130) fwave(i,ii),flux(i,ii)
*      read(iiunit(ii),*,end=130) itmp,fwave(i,ii),flux(i,ii)
      i=i+1
      go to 120
  130 continue
      ipoint(ii)=i-1
  402 continue
*
      close(iiunit(1))
      if(isub .eq. 1) close(iiunit(2))
*
      do 410 i=1,ipoint(1)
* For converting Filippenko's 91bg day060.dat
*      fwave(i,1)=fwave(i,1)*(1.+930.e+5/clight)
*      flux(i,1)=flux(i,1)*1.e-26*1.e-8*clight/(fwave(i,1)*1.e-8)**2
*
* For converting Turatto's 91bg day215.dat
*
*      flux(i,1)=flux(i,1)*1.e-15
*
* For converting Cappellero's 91t day301.dat
*      flux(i,1)=flux(i,1)*1.e-16
*
* For V magnitude flux calibration.
*
*      flux(i,1)=flux(i,1)*1.014E-14      ! 91T day 131
*      flux(i,1)=flux(i,1)*4.026E-15      ! 91T day 204 
*      flux(i,1)=flux(i,1)*1.272E-15      ! 91T day 276 
*      flux(i,1)=flux(i,1)*8.863E-16      ! 91T day 301 
*      flux(i,1)=flux(i,1)*5.295E-16      ! 91T day 334 
*      flux(i,1)=flux(i,1)*1.714E-16      ! 91T day 421 
*
* For subtracting a light echo.
      call interpo(1,fwave(i,1),fwave(1,2),flux(1,2),
     &             ipoint(2),1,1,yout)
      flux(i,1)=flux(i,1)-max(yout,0.)*submult
*
  410 continue
*
      do 420 i=1,ipoint(1)
      write(20,920) fwave(i,1),flux(i,1)
  420 continue
*
  920 format(f10.2,e20.8)
*
      end
