*23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
*
      program conv2
      parameter (necho=20000)
      dimension fecho(necho,2)
      include '../../syn/const.f'
*
      open(unit=1,file='../../syn/const.dat',status='old')
      read(1,const)
      ckms=clight*1.e-5
      close(unit=1)
*
      open(unit=10,file='./day800.dat',status='old')
      call readspec(10,necho,iecho,fecho)
      print*,'iecho,fecho(1,1),fecho(1,2)'
      print*,iecho,fecho(1,1),fecho(1,2)
      call smooth(iecho,fecho(1,1),fecho(1,2),100.,0.)
      close(unit=10)
*
      call verbatim(11,12,ifrep,helio,fcor,fecho1)
      print*,'helio,fcor,fecho1'
      print*,helio,fcor,fecho1
*
  110 continue
      read(11,*,end=120) wave,flux
      if(ifrep .eq. 1) flux=flux*clight/wave**2
      if(abs(fcor-1.) .gt. 1.e-6) flux=flux*fcor
      if(abs(fecho1) .gt. 1.e-6) then
          call interpo(1,wave,fecho(1,1),fecho(1,2),
     &                 iecho,1,1,yout)
          flux=flux-fecho1*yout
      end if 
      if(abs(helio) .gt. 1.e-6) wave=wave*(1.-helio/ckms) 
      write(12,'(f15.3,e20.7)') wave,flux
      go to 110
  120 continue
*
      end
*
*23456789a123456789b123456789c123456789d123456789e123456789f123456789g12345
*
*
      subroutine verbatim(iunit1,iunit2,ifrep,helio,fcor,fecho)
      character record*180,fmt1*6
*
      ifrep=0
      helio=0.
      fcor=1.
      fecho=0.
*
  110 continue
      read(iunit1,'(a180)') record
      irecord=lentrue(record)
      if(record(1:4) .eq. 'FREP') then
          read(record(7:irecord),*) ifrep 
          if(ifrep .eq. 1) write(record(8:80),*) 0,ifrep
          print*,'If one changes to flamba representation,'
          print*,'then one cannot make any other changes.'
          go to 120 
      end if
      if(record(1:5) .eq. 'HELIO') then
          read(record(7:irecord),*) helio
          if(abs(helio) .gt. 1.e-6) write(record(8:80),*) 0.,helio
      end if
      if(record(1:4) .eq. 'FCOR') then
          read(record(6:irecord),*) fcor
          if(abs(fcor -1.) .gt. 1.e-6) write(record(7:80),*) 1.,
     &                                 fcor
      end if
      if(record(1:5) .eq. 'FECHO') then
          read(record(7:irecord),*) fecho
          if(abs(fecho) .gt. 1.e-6) write(record(8:80),*) 0.,fecho
      end if
  120 continue
      irecord=lentrue(record)
      write(fmt1,'(a2,i3,a1)') '(a',irecord,')'
      write(iunit2,fmt1) record(1:max(irecord,1))
      if(record(1:3) .ne. 'END') go to 110
*
      return
      end
