*
* Note cut is a UNIX command.  So I need to use cuta.
*
      program cuta
      parameter (npoint=20000)
      dimension fwave(npoint),flux(npoint)
      character record*100,fmtch*80
*
  110 continue
      read(10,'(a100)') record
      irecord=lentrue(record)
      write(fmtch,'(a2,i2,a1)') '(a',irecord,')'
* Recall fortran ignores blanks.
*      print*,fmtch,irecord
      write(20,fmtch) record(1:irecord)
      if(record(1:3) .ne. 'END') go to 110
      i=1
  120 continue
      read(10,*,end=130) itmp,fwave(i),flux(i)
      i=i+1
      go to 120
  130 continue
      ipoint=i-1
*
      ymax=-1.
      do 410 i=1,ipoint
      flux(i)=flux(i)*1.e+16
      ymax=max(ymax,flux(i))
  410 continue
*
      ycut=ymax-1.
      do 420 i=1,ipoint
      write(20,920) fwave(i),flux(i)-ycut
  420 continue
*
  920 format(f10.2,f15.8)
*
      end
*
*
*
*
      FUNCTION LENTRUE(STRING)
      CHARACTER*(*) STRING
*
      DO 410 I=LEN(STRING),1,-1
      IF(STRING(I:I) .NE. ' '
     1     .AND.  ICHAR(STRING(I:I)) .NE. 0) THEN
          LENTRUE=I
          GO TO 110
      END IF
  410 CONTINUE
      LENTRUE=0
  110 CONTINUE
*
      RETURN
      END
