!23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
!
! Copyright D.J. Jeffery, 2006jan01.
!
!  giant.f is for investigating the giant steps procedure in the
!  case of the plane-parallel grey atmosphere.
!
!   References:
!
!     \bibitem[Metcalf et al.(2004)]{metcalf} Metcalf, M., Reid, J., \&~Cohen, M. 2004,
!          Fortran 95/2003 Explained
!          (Oxford:  Oxford University Press) (MRC)
!          % Pretty good reference book.
!
!     \bibitem[Press et al.(1992)]{press1992} Press, W. H., Teukolsky, S. A.,
!          Vetterling, W. T., \& Flannery, B. P. 1992,
!            Numerical Recipes in Fortran
!            (Cambridge:  Cambridge University Press)
!            % Bill should have given me a complimentary copy when
!            % I co-taught with him in 1993!
!
!-----------------------------------------------------------------------
!23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
!
      program trans4
      use numerical
      implicit none
!
      integer, parameter :: nfile=12
!
      character :: afile(nfile)*80=                                     &
     & (/ './dif/sn1993j_1993_03_31.p2.duf  ',                          & 
     &    './dif/sn1993j_1993_03_31.p4.duf  ',                          & 
     &    './dif/sn1993j_1993_03_31.u.duf   ',                          & 
     &    './dif/sn1993j_1993_04_15.p2.duf  ',                          & 
     &    './dif/sn1993j_1993_04_15.p4.duf  ',                          & 
     &    './dif/sn1993j_1993_04_15.u.duf   ',                          & 
     &    './dif/sn1993j_1993_09_15.5.p2.duf',                          & 
     &    './dif/sn1993j_1993_09_15.5.p4.duf',                          & 
     &    './dif/sn1993j_1993_09_15.5.u.duf ',                          & 
     &    './dif/sn1993j_1993_11_15.5.p2.duf',                          & 
     &    './dif/sn1993j_1993_11_15.5.p4.duf',                          &
     &    './dif/sn1993j_1993_11_15.5.u.duf ' /)   ! This file doesn't exist!

      integer :: i,j,k,l,m,n
      integer :: idata 
      real (kind=nprecision) :: tmp 
      real (kind=nprecision) :: x,y
!
      do410 : do i=1,nfile-1
        open(unit=1,file=afile(i),status='old',action='read')
        open(unit=2,file=trim(afile(i))//'f',status='unknown',          &
     &   action='write')
        call readcopy(1,2,1,' ',idata)
!
        do420 : do j=1,idata 
          read(1,*) x,tmp,y 
          write(2,'(f25.15,1p,e25.15)') x,y 
        end do do420
!
        close(unit=2)
        close(unit=1)
!
      end do do410
!
      end program trans4
