!23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
!
! Copyright D.J. Jeffery, 2006jan01.
!
! series.f checks series expansions.
!
!   References:
!
!     \bibitem[Mihalas(1978)]{mihalas1978} Mihalas, D. 1978, Stellar Atmospheres
!          (San Francisco:  W. H. Freeman and Company) (Mi)
!          % The radiative transfer bible:  now a bit dated.
!          % p. 79, 111.
!
!     \bibitem[Metcalf et al.(2004)]{metcalf} Metcalf, M., Reid, J., \&~Cohen, M. 2004,
!          Fortran 95/2003 Explained
!          (Oxford:  Oxford University Press) (MRC)
!          % Pretty good reference book.
!
!     \bibitem[Press et al.(1992)]{press1992} Press, W. H., Teukolsky, S. A.,
!          Vetterling, W. T., \& Flannery, B. P. 1992,
!            Numerical Recipes in Fortran
!            (Cambridge:  Cambridge University Press)
!            % Bill should have given me a complimentary copy when
!            % I co-taught with him in 1993!
!            % p. 269--273.
!
!
!23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
!
      program trans2 
      implicit none
!
      integer, parameter :: npoint=1000
!
      integer :: i,j,k,l,m,n
      real (kind=kind(0.d0)) :: x(npoint)
      real (kind=kind(0.d0)) :: y(npoint)
!
      character :: record*180
!
      open(unit=1,file='tmp',status='old',action='read')
      read(1,*) i
      write(*,*) i
      j=1
      read(1,*) x(j),y(j),x(j+1)
      j=2
      do k=1,190
        read(1,*) y(j),x(j+1),y(j+1),x(j+2),y(j+2)
!        write(*,*) y(j),x(j+1),y(j+1),x(j+2),y(j+2)
        read(1,*) x(j+3),y(j+3),x(j+4),y(j+4),x(j+5)
        j=j+5
      end do
      read(1,*) y(i-1),x(i),y(i) 
!      read(1,*) (x(j),y(j),j=1,i)
      do j=1,i
        write(*,'(f10.5,1p,e20.8)') x(j),y(j)
      end do
!
      end program trans2
